> ## Documentation Index
> Fetch the complete documentation index at: https://densify-sync-changelog-6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete GCP Cloud Connection and Analysis

> Deletes the Cloud Connection and Analysis for the specified GCP project. 

This API only supports deletion for GCP projects that have a valid analysisId. If the GCP
project was not analyzed (for example, unsupported resources or insufficient data), no
analysisId exists and this API cannot be used. In those cases, delete the cloud connection
manually and contact support@kubex.ai if assistance is required.




## OpenAPI

````yaml openapi/public_cloud/Analysis_GCP_Delete.yaml DELETE /analysis/cloud/gcp/{analysisId}
openapi: 3.1.0
info:
  title: Kubex API – GCP Delete Connection
  version: 1.0.0
servers:
  - url: https://{host}/api/v2
    variables:
      host:
        default: hostname.kubex.ai
security: []
tags:
  - name: GCP Analysis
paths:
  /analysis/cloud/gcp/{analysisId}:
    delete:
      tags:
        - GCP Analysis
      summary: Delete GCP Cloud Connection and Analysis
      description: >
        Deletes the Cloud Connection and Analysis for the specified GCP
        project. 


        This API only supports deletion for GCP projects that have a valid
        analysisId. If the GCP

        project was not analyzed (for example, unsupported resources or
        insufficient data), no

        analysisId exists and this API cannot be used. In those cases, delete
        the cloud connection

        manually and contact support@kubex.ai if assistance is required.
      operationId: deleteGcpAnalysisAudit
      parameters:
        - name: analysisId
          in: path
          required: true
          description: The unique referenced ID of the GCP analysis.
          schema:
            type: string
      responses:
        '200':
          description: Delete request acknowledged / completed
        '400':
          description: Invalid parameter or conflicting in-progress operation
        '401':
          description: Authentication failed.
        '404':
          description: Analysis not found.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error (e.g., data collection in progress).

````